ALFS DTD documentation

Neven Has haski at sezampro.yu
Sun Jan 19 08:02:02 PST 2003


On Sun, Jan 19, 2003 at 03:38:49PM +0100, Vassili Dzuba wrote:
> Following the discussion we had a few days ago
> on this list, under the title "adding <utilizes> to the DTD",
> i updated the DTD and the documentation to take the modifications
> discussed into account.
> 
> As these modifications are not compatible, i named the version "3.1".

Great.

> - write a patch to nALFS to support version 3.1, unless
>   Neven prefers do it himself (what do you think, Neven ?)

If you have time, I wouldn't mind you doing that of course. :)
But if not, I'll do it myself eventually (before the next release for
sure).

> Any comment is welcome...

In the future, I think we'll need to add a version for <requires> and
<utilizes> elements - minimum version that some package requires, and
stuff like that. So maybe we should use:

<requires>
    <name>gtk+</name>
</requires>

right from the start, so we wouldn't have to break the syntax again?

Also, I still believe that:

    <p>  instead of <para>,
    <ul> instead of <list> and
    <li> instead of <item>

would be much more useful, so one can just dump the whole
<description>'s content as HTML. But that's minor, and I'm perfectly
OK with current names.

BTW, check out the examples for <packageinfo> (and those elements
inside it) in the XML document for 3.1.


Neven

-- 
Unsubscribe: send email to listar at linuxfromscratch.org
and put 'unsubscribe alfs-discuss' in the subject header of the message



More information about the alfs-discuss mailing list